Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] libmsn does not install
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Spiros
Apprentice
Apprentice


Joined: 11 Mar 2008
Posts: 189
Location: Zurich

PostPosted: Tue Jan 26, 2010 3:46 pm    Post subject: [SOLVED] libmsn does not install Reply with quote

I'm installing kopete from the kde overlay (version 4.3.95) and I need the msn protocol, so I activated the msn use flag. Therefore kopete requires libmsn as dependency. By emerging this library (libmsn-4.1) I become the following error:

Code:

>>> Install libmsn-4.1 into /var/tmp/portage/net-libs/libmsn-4.1/image/ category net-libs
>>> Working in BUILD_DIR: "/var/tmp/portage/net-libs/libmsn-4.1/work/libmsn-4.1_build"   
make -s -j3 install DESTDIR=/var/tmp/portage/net-libs/libmsn-4.1/image/                 
[ 95%] Built target msn                                                                 
[100%] Built target msntest                                                             
Install the project...                                                                   
-- Install configuration: "Gentoo"                                                                                                                                                   
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/lib64/pkgconfig/libmsn.pc                                                                                               
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/lib64/libmsn.so.0.3.0                                                                                                   
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/lib64/libmsn.so.0.3                                                                                                     
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/lib64/libmsn.so                                                                                                         
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/authdata.h                                                                                                 
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/message.h                                                                                                   
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/config.h                                                                                                   
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/connection.h                                                                                               
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/switchboardserver.h
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/notificationserver.h
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/util.h
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/externals.h
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/errorcodes.h
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/msn.h
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/buddy.h
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/passport.h
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/sstream_fix.h
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/soap.h
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/p2p.h
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/msnobject.h
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/include/msn/libmsn_export.h
-- Installing: /var/tmp/portage/net-libs/libmsn-4.1/image/usr/bin/msntest
-- Removed runtime path from "/var/tmp/portage/net-libs/libmsn-4.1/image//usr/bin/msntest"
!!! dodoc: ChangeLog does not exist
 * ERROR: net-libs/libmsn-4.1 failed:
 *   dodoc failed


The compilation actually works without problem, but during the installation something is missing and I don't understand what. What can I do? Is this a bug?
_________________
Spiros


Last edited by Spiros on Wed Jan 27, 2010 12:13 pm; edited 1 time in total
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 6313
Location: /usr/lib64/lv2

PostPosted: Tue Jan 26, 2010 3:57 pm    Post subject: Reply with quote

It looks like a change log is missing. If it works, I wouldn't worry about it unless you're a programmer and you need to know what has changed between the current version and previous versions. I'm assuming you probably don't care, so you're good. 8)
_________________
Gentoo Studio: A Gentoo-based, professional digital audio workstation OS.
Back to top
View user's profile Send private message
Spiros
Apprentice
Apprentice


Joined: 11 Mar 2008
Posts: 189
Location: Zurich

PostPosted: Tue Jan 26, 2010 4:04 pm    Post subject: Reply with quote

In facts I don't care about it. But emerge stops itself after this error and does not install the package, so I cannot install kopete.
I could install libmsn from here and put it into /etc/portage/profile/package.provided, but this solution isn't very good.
_________________
Spiros
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 6313
Location: /usr/lib64/lv2

PostPosted: Tue Jan 26, 2010 4:06 pm    Post subject: Reply with quote

I misunderstood - my bad.

Does masking this version and trying an earlier one work? If so, you might want to file a bug report.
_________________
Gentoo Studio: A Gentoo-based, professional digital audio workstation OS.
Back to top
View user's profile Send private message
Spiros
Apprentice
Apprentice


Joined: 11 Mar 2008
Posts: 189
Location: Zurich

PostPosted: Tue Jan 26, 2010 4:29 pm    Post subject: Reply with quote

audiodef wrote:

Does masking this version and trying an earlier one work? If so, you might want to file a bug report.


No, kopete needs at least that version.
Well, my workaround works: I installed libmsn from sources. Now kopete is built, installed and works fine. The original problem is not solved, but this workaround is easy and useful.
_________________
Spiros
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 6313
Location: /usr/lib64/lv2

PostPosted: Tue Jan 26, 2010 7:41 pm    Post subject: Reply with quote

That's interesting. Maybe you should file a bug report. It's possible the ebuild need to be tweaked with configure vars.
_________________
Gentoo Studio: A Gentoo-based, professional digital audio workstation OS.
Back to top
View user's profile Send private message
Spiros
Apprentice
Apprentice


Joined: 11 Mar 2008
Posts: 189
Location: Zurich

PostPosted: Tue Jan 26, 2010 9:54 pm    Post subject: Reply with quote

audiodef wrote:
That's interesting. Maybe you should file a bug report. It's possible the ebuild need to be tweaked with configure vars.

Yes, I will. This problem sounds like an ebuild problem.

I have a really instable system, my portage accepts both amd64 and ~amd64 keywords, I unmasked many packages which were hardmasked and I have some overlay, but that error by compiling libmsn-4.1 (that is also hardmasked and ~amd64-keyworded) does not seem a system related problem.


EDIT: the problem was solved 2 days ago, but I didn't synchronize the portage tree. See https://bugs.gentoo.org/show_bug.cgi?id=302379.
_________________
Spiros
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum